apiVersion: operator.victoriametrics.com/v1beta1
kind: VMNodeScrape
metadata:
  name: vm-prod-node-exporter
  namespace: vmstack
spec:
  path: /metrics
  port: "9100"
  scheme: http
  selector: {}
  relabelConfigs:
    - action: labelmap
      regex: __meta_kubernetes_node_label_(.+)
    - action: replace
      sourceLabels:
        - __meta_kubernetes_node_name
      targetLabel: node
    - action: replace
      replacement: vm-stack/vm-prod-node-exporter
      targetLabel: job
